This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 841706 - (CVE-2012-3421) CVE-2012-3421 pcp: event-driven programming flaw blocks pmcd from responding to other legitimate requests
CVE-2012-3421 pcp: event-driven programming flaw blocks pmcd from responding ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120816,repor...
: Security
Depends On: 841314 848451 848629 848630
Blocks: 841708
  Show dependency treegraph
 
Reported: 2012-07-19 18:49 EDT by Vincent Danen
Modified: 2013-02-20 02:17 EST (History)
7 users (show)

See Also:
Fixed In Version: pcp 3.6.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 11:57:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Resolve an event-driven programming flaw in pmcd (2.44 KB, patch)
2012-08-04 21:37 EDT, Nathan Scott
no flags Details | Diff

  None (edit)
Description Vincent Danen 2012-07-19 18:49:09 EDT
Florian Weimer of the Red Hat Product Security Team discovered a denial of service flaw in pmcd (the PCP (Performance Co-Pilot) performance metrics collector daemon) due to incorrect event-driven programming.  Because the pduread() function in libpcp performs a select locally, waiting for more client data, an unauthenticated remote attacker could send individual bytes one by one, avoiding the timeout, and blocking pmcd in order to prevent it from responding to other legitimate requests.
Comment 2 Nathan Scott 2012-08-04 21:37:56 EDT
Created attachment 602308 [details]
Resolve an event-driven programming flaw in pmcd

This is Ken's patch to address this bug.  Have had it in my quilt series for awhile, seems to be causing fewer regressions than most of my changes. :)

Wider review would be appreciated, thanks.
Comment 3 Huzaifa S. Sidhpurwala 2012-08-16 00:13:17 EDT
Upstream patch:

http://oss.sgi.com/cgi-bin/gitweb.cgi?p=pcp/pcp.git;a=commit;h=9ba85dca940de976176ce196fd5e3c4170936354

This issue has been addressed in pcp-3.6.5
Comment 5 Huzaifa S. Sidhpurwala 2012-08-16 00:47:53 EDT
Created pcp tracking bugs for this issue

Affects: epel-all [bug 848629]
Comment 7 Fedora Update System 2012-08-20 06:54:56 EDT
pcp-3.6.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-08-20 06:57:25 EDT
pcp-3.6.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-21 14:34:36 EDT
pcp-3.6.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-08-21 14:38:22 EDT
pcp-3.6.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-09-17 20:01:17 EDT
pcp-3.6.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.